<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Modules\Core\Enums\StatusEnum;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('leave_types', function (Blueprint $table) {
            $table->id();

            $table->string('name');

            $table->integer('days_per_year')->default(0);

            $table->boolean('is_paid')->default(true);

            $table->boolean('is_encashable')->default(false);

            $table->foreignId('expense_account_id')->nullable();

            $table->foreignId('liability_account_id')->nullable();

            $table->enum('status', StatusEnum::casesAsArray())->default(StatusEnum::ACTIVE);

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('leave_types');
    }
};
